﻿/**Begin C:\anzhuang\PDM_UPGRADE\PDM1\TTC_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TTC_APPLICABLE_SCENE')
 CREATE TABLE T_TTC_APPLICABLE_SCENE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FAPPLICATIONID VARCHAR(36) DEFAULT ' ' NOT NULL,
FISSYSTEM CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TTC_APPLICABLE_SCENE_L')
 CREATE TABLE T_TTC_APPLICABLE_SCENE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TTC_VALUERULES')
 CREATE TABLE T_TTC_VALUERULES (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORG BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY VARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FBITINDEX BIGINT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX BIGINT DEFAULT 0 NOT NULL,
FCOUNTRY BIGINT DEFAULT 0 NOT NULL,
FBASICDATATYPE VARCHAR(36) DEFAULT ' ' NOT NULL,
FTAXATIONSYSID BIGINT DEFAULT 0 NOT NULL,
FSOURCETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTARGETTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTARGETOBJECTID VARCHAR(36) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TTC_VALUERULES_L')
 CREATE TABLE T_TTC_VALUERULES_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TTC_VALUERULES_ENTRY')
 CREATE TABLE T_TTC_VALUERULES_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FBASICDATA NVARCHAR(300) DEFAULT ' ' NOT NULL,
FBASICDATANUMBER VARCHAR(200) DEFAULT ' ' NOT NULL,
FTARGETNAME NVARCHAR(300) DEFAULT ' ' NOT NULL,
FTARGETNUMBER VARCHAR(200) DEFAULT ' ' NOT NULL,
FSOURCEVALUE VARCHAR(200) DEFAULT ' ' NOT NULL,
FTARGETVALUE VARCHAR(200) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TTC_VALUERULES_APPLICAT')
 CREATE TABLE T_TTC_VALUERULES_APPLICAT (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID VARCHAR(36) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TTC_VALUERULES_SCENEID')
 CREATE TABLE T_TTC_VALUERULES_SCENEID (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);

/**End C:\anzhuang\PDM_UPGRADE\PDM1\TTC_table.sql **/
